Subject: RE: [Ecrit] Proposed Requirement

From: "Winterbottom, James" <[email-masked]>
Date: Thu, 20 Oct 2005 18:03:59 -0500

Marc,

I think what it boils down to it whether the LCMS is allowed to know
location AND identity. If it is, then location-by-reference must be
allowed. If the LMCS is not allowed to know location AND identity, then
this must be a formal requirement, otherwise the rationale is confusing
and contradictory. 

Cheers
James

> -----Original Message-----
> From: Marc Linsner [mailto:[email-masked]]
> Sent: Thursday, 20 October 2005 11:51 PM
> To: Winterbottom, James; 'Tom-PT Taylor'
> Cc: [email-masked]
> Subject: RE: [Ecrit] Proposed Requirement
> 
> James,
> 
> Comments in-line....
> 
> >
> > Thank you for your response.
> > If what you propose below is true, and that the LCMS is not a
> > location recipient in the sense of RFC-3693, I am assuming
> > that no-association between location and the user must be
> > possible. Can you confirm this?
> 
> Ecrit has yet to figure out what information a LCMS client will submit
to
> a
> LCMS server.  What I am asserting is user information is certainly not
> needed for LCMS to perform the requested task, matching location
> information
> to uri.
> 
> > If this is the case then it really needs to be a requirement
> > in Roger's draft, otherwise the argument does not carry the
> > weight that you purport.
> 
> I don't feel we (I) know enough to make this a requirement, yet.  I'd
like
> more opinions on the subject of what information is required at the
LCMS
> server.
> 
> >
> > Further to this, if the PIDF-LO contains a ruleset or ruleset
> > URI, the proxy MUST not provide the location information to
> > the LCMS unless the ruleset indicates that it is okay.
> 
> This is what causes heartburn.  If Joe User simply 'forgets' to
include
> the
> LCMS in his ruleset (unaware that such a service is necessary to
complete
> emergency calling), then his attempts to complete a properly-routed
call
> will fail.  So my question, is the act of matching just location (no
> user/host identity) to uri a breach of RFC-3693?  I don't believe so,
> there
> is nothing interesting about 123 Main St. equals [email-masked].
> 
>  This
> > is exactly the same basis for location being provided for
> > location-by-reference, so if it is okay to do this for
> > by-value, then it MUST be okay to do it for by-reference.
> 
> Location-by-value does not equal pidf-lo.  I think this is the point
I'm
> attempting to make: If you expect the LCMS server to dereference a
> location-by-reference, the LCMS server MUST be in the ruleset.
> Alternatively, if the proxy (LCMS client) performs dereference and
uses
> only
> the location-by-value data (no user identity) then the LCMS server
does
> not
> fall under the definition of location-recipient spelled out in
RFC-3693.
> Obviously, if Joe User forgets to include his proxy in the ruleset,
then
> the
> proper call-routing will fail as the proxy cannot dereference the LBR.
> 
> >
> > A note of warning, if the LCMS MUST not be able to associate
> > location with user identity, then sending a PIDF-LO to the
> > LCMS where the value for the presentity parameter is
> > traceable to the user's true identity will be not acceptable.
> > This implies that the proxy will need to understand this.
> 
> Again, the pidf-lo contains way more data than necessary for LCMS to
> perform
> it's task, IMO.
> 
> Thanks,
> 
> -Marc-
> 

------------------------------------------------------------------------------------------------
This message is for the designated recipient only and may
contain privileged, proprietary, or otherwise private information.  
If you have received it in error, please notify the sender
immediately and delete the original.  Any unauthorized use of
this email is prohibited.
------------------------------------------------------------------------------------------------
[mf2]

_______________________________________________
Ecrit mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ecrit

---

From: "Marc Linsner" <[email-masked]>
Date: Thu, 20 Oct 2005 19:35:18 -0400

James,

There is one more point I'm trying to make.  If the LCMS knows location and
identity, then it falls under the rules of RFC-3693.  This is something I'm
advocating is not necessary for LCMS to complete it's assigned task.

-Marc-

> From: Winterbottom, James [mailto:[email-masked]] 
> Sent: Thursday, October 20, 2005 7:04 PM
> To: Marc Linsner; Tom-PT Taylor
> Cc: [email-masked]
> I think what it boils down to it whether the LCMS is allowed 
> to know location AND identity. If it is, then 
> location-by-reference must be allowed. If the LMCS is not 
> allowed to know location AND identity, then this must be a 
> formal requirement, otherwise the rationale is confusing and 
> contradictory. 
> 
> Cheers
> James
> 
> 
> > > location recipient in the sense of RFC-3693, I am assuming that 
> > > no-association between location and the user must be 
> possible. Can 
> > > you confirm this?
> > 
> > information to uri.
> > > If this is the case then it really needs to be a requirement in 
> > > Roger's draft, otherwise the argument does not carry the 
> weight that 
> > > you purport.
> > 
> > > Further to this, if the PIDF-LO contains a ruleset or 
> ruleset URI, 
> > > the proxy MUST not provide the location information to the LCMS 
> > > unless the ruleset indicates that it is okay.
> > 
> > there is nothing interesting about 123 Main St. equals 
> > [email-masked].
> > 
> >  This
> > > location-by-reference, so if it is okay to do this for by-value, 
> > > then it MUST be okay to do it for by-reference.
> > 
> > > location with user identity, then sending a PIDF-LO to the LCMS 
> > > where the value for the presentity parameter is traceable to the 
> > > user's true identity will be not acceptable.
> > perform it's task, IMO.